from python:3

# TODO use another user than root?
# adding "USER python" results in "pip install" failing
# with "unable to find user python"

WORKDIR /usr/src/app

COPY requirements.txt ./
RUN pip install --no-cache-dir -r requirements.txt

COPY . .

# see https://flask.palletsprojects.com/en/2.3.x/deploying/gunicorn/
# see https://pythonspeed.com/articles/gunicorn-in-docker/
ENV GUNICORN_CMD_ARGS "--workers=2 --threads=4 --worker-class=gthread --worker-tmp-dir=/dev/shm"
CMD [ "gunicorn", "--access-logfile", "-", "--bind", "0.0.0.0:80", "app:app" ]
